#ifndef WORLDMAP_H_
#define WORLDMAP_H_

#include "DataTypes.h"



/*
Public members:
+GetPosition(iDogId: int, &PnO : Position  );	//function to retrieve the position (x, y) and orientation (angle) of a specified dog
+SetPosition(iDogId: int, PnO : Position );
+GetBallPos(&ball: Position);			//function to get the ball's coordinates
+SetBallPos(ball: Position);			//function to set the ball's position
+FindPosition();					//function to find the local dog's position
+FindBall();					//function to locate where the ball is


*/

const int NUM_DOGS = 8;

class WorldMap
{


private:
	
	Position _BallPos;
	Position _DogPos[NUM_DOGS];


public:
	//WorldMap();
	//virtual ~WorldMap();

	HRESULT GetPosition(int iDogID, Position PnO);
	HRESULT GetBallPos(Position ball);
	HRESULT SetPosition(int iDogID, Position PnO);
	HRESULT SetBallPos(Position ball);
	void FindPosition();
	void FindBall();


};

/*
*	Author: Jeremiah Savage
*	Last Update: 08/04/2005
*	Description: This behavior is the start of an Interface for localization.  It is not currently implemented
*/



#endif

