#ifndef DATATYPES_H_Defined
#define DATATYPES_H_Defined

/*
	Author: Jeremiah Savage
	Last Update: 08/04/2005
	Description: This file servers as a source for many of the datatypes used by the LTUSoccer Behavior


*/

struct Position{
	//this should be declared out side of the class, but I will leave it here for now

	double x;				//x position
	double y;				//Y position
	double angle;			//angle of rotation
	double certainty; 		//fuzzy logic (either a percentage or enum==>(Very, somewhat, not_very)
};

enum HRESULT {				//a more legible way to monitor the return values of a function
	S_OK,					//no problems
	E_FAILED_INDX,			//index out of bounds
	E_FAILED				//general failure
};	//other return values can be added at a later time

enum TEAM_COLOR { BLUE, RED };

const int DOG_UNKNOWN	= 8;
const int OPPONENT		= 4;
/*
bool FAIL(RESULT rc)
{
	//function to see if return code (rc) is a type of failure
	if( rc == E_FAILED_INDX )
		return true;
	if( rc == E_FAILED ) 
		return true;
	else
		return false;

}

bool SUCCESS(RESULT rc)
{
	//function to see if return code (rc) is a type of success
	if (rc == S_OK)
		return true;
	else
		return false;
}

*/
#endif
