
#include "WorldMap.h"
#include "DataTypes.h"


/*


//some dimensional information
length(long) of the field is 5400 mm = 212.598 in ~ 213
width of the field is 4000 mm = 157.48 in ~ 158

width of goal 800 mm  = 31.5 in
height and length of goal 300 mm = 11.8 in ~  12 in

width offset = 200 mm = 7.87 in

length offset = 300 mm = 11.8 in ~ 12 in

crease is 650mm x 1300 mm


max values for setTargetVelocity:
x: 180 mm/sec		
y: 140	mm/sec
z: 1.8 rad/sec   ~ 103.13 d/sec

void WorldMap::WorldMap()
{
	//we need to get AIBO's ID either here or in the main program
	//basically, just prompt the user to press one of the back sensors
	//MY_ID = 1, 2, or 3 (front, middle, back)
}

void WorldMap::~WorldMap()
{

}
*/
//#########################################################

HRESULT WorldMap::GetPosition(int iDogId, Position PnO)
{
	//Function to Get the postion and orientation of a given dog

	PnO = _DogPos[iDogId];

}
HRESULT WorldMap::GetBallPos(Position ball)
{
	ball = _BallPos;
}


//#########################################################
HRESULT WorldMap::SetPosition(int iDogID, Position PnO)
{
	//Function to set the position and orientation of a given dog
	
	switch (iDogID) {
	case 1:
	case 2:
	case 3:	_DogPos[iDogID] = PnO;			//set the value
			break;
	case Opponent:	//some code to determine if we already have this position stored
			//
			break;
	case DOG_Unknown:	//if AIBO is not sure what dog he is seeing perform some action (this will probably be the same thing 
			//as Opponenet) ====>	perhaps this could be used to dispute the position of another dog on our team.....perhaps
			break;
	case else: return FAILED_INDX; /*or whatever the syntax is*/ //report that bad information was passed to the member function


	};

	return S_OK;

}

HRESULT WorldMap::SetBallPos(Position ball)
{
	_BallPos = ball;
	return S_OK;
}

//#########################################################
void FindPosition()
{
	double x, y, angle, certainty;


	//function to find the dog's position and orientation
	//the basic idea is to move AIBO's head back and forth to find two goal posts
	//once a postion is calculated, set it:
	_DogPos[My_ID].x = x;
	_DogPos[My_ID].y = y;
	_DogPos[My_ID].angle = angle;
	_DogPos[My_ID].certainty = certainty;

}

void FindBall()
{
	double x, y, angle, certainty
	//function to move AIBO's head back and forth to look for the ball
	//chances are, this will only need to be run at the beginning of play
	//the rest of the time, if the ball is lost, we can rely on data from the other robots
	_BallPos.x = x;
	_BallPos.y = y;
	_BallPos.angle = 0;					//the angle of the ball does not need to be defined
	_BallPos.certainty = certainty;

}
